<?php
/**
 * Front Page Left Options
 *
 * @package Tamal_Portfolio
 */

$wp_customize->add_section(
    'tamal_portfolio_left_options',
    array(
        'title'    => esc_html__( 'Front Page Left', 'tamal-portfolio' ),
    )
);

// Skill & List Skill
$wp_customize->add_setting(
    'tamal_portfolio_left_social',
    array(
        'default'           => '',
        'sanitize_callback' => 'customizer_repeater_sanitize',
    )
);
$wp_customize->add_control(
    new Tamal_Portfolio_Customize_Field_Repeater(
        $wp_customize,
        'tamal_portfolio_left_social',
        array(
            'label'   => esc_html__('Social','tamal-portfolio'),
            'intro'   => esc_html__('List social show in navigation','tamal-portfolio'),
            'label_item'   => esc_html__('Social Item','tamal-portfolio'),
            'section' => 'tamal_portfolio_left_options',
            'custom_repeater_link_control' => true,
            'custom_repeater_icon_control' => true,
            'custom_repeater_color_control' => true,
        )
    )
);

$wp_customize->add_setting(
    'tamal_portfolio_left_below_text',
    array(
        'default'           => __( 'Copyright © 2022 All rights reserved.', 'tamal-portfolio' ),
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'tamal_portfolio_left_below_text',
    array(
        'label'           => esc_html__( 'Footer left below', 'tamal-portfolio' ),
        'section'         => 'tamal_portfolio_left_options',
        'settings'        => 'tamal_portfolio_left_below_text',
        'type'            => 'text',
    )
);